import Client from "../Client/Client"

/**
 * Room
 */
export default class Room {

	//#region public

	public SerialNumber: number = 0

	//#endregion

	//#region private

	private wsArr: Client[] = []

	//#endregion

	//#region Lifecycle

	/**
	 *
	 */
	constructor(serialNumber: number, ws: Client) {
		this.SerialNumber = serialNumber
		this.wsArr.push(ws)
	}

	//#endregion

	//#region Custom

	/** Join */
	public Join(ws: Client): void {
		this.wsArr.forEach(otherWS => {
			// otherWS.SendClient()
		})
		this.wsArr.push(ws)
	}

	//#endregion
}
